##
##  perl-db.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_berkeleydb     0.20
%define       V_db_file        1.806
%define       V_db_file_lock   0.05

#   package information
Name:         perl-db
Summary:      Perl Modules for use with Berkeley-DB
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20021116
Release:      20021116

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/BerkeleyDB/BerkeleyDB-%{V_berkeleydb}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/DB_File/DB_File-%{V_db_file}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/DB_File/DB_File-Lock-%{V_db_file_lock}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl >= 5.8.0, db >= 4.1.24
PreReq:       OpenPKG, openpkg >= 20020206, perl >= 5.8.0, db >= 4.1.24
AutoReq:      no
AutoReqProv:  no

%description
    Various modules for using the Berkeley-DB library from within Perl:
    - BerkeleyDB (%{V_berkeleydb})
    - DB_File (%{V_db_file})
    - DB_File::Lock (%{V_db_file_lock})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build BerkeleyDB
    ( cd BerkeleyDB-%{V_berkeleydb}
      ( echo "INCLUDE = %{l_prefix}/include"
        echo "LIB = %{l_prefix}/lib"
      ) >config.in
      %{l_prefix}/bin/perl-openpkg install
    )

    #   build DB_File
    ( cd DB_File-%{V_db_file}
      ( echo "PREFIX = size_t"
        echo "HASH = u_int32_t"
        echo "INCLUDE = %{l_prefix}/include"
        echo "LIB = %{l_prefix}/lib"
      ) >config.in
      %{l_shtool} subst -e "s;INSTALLDIRS => .perl.,;;" Makefile.PL
      %{l_prefix}/bin/perl-openpkg install
    )

    #   build DB_File::Lock
    ( cd DB_File-Lock-%{V_db_file_lock}
      %{l_prefix}/bin/perl-openpkg install
    )

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

